package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 违规-分值段设置对象 lab_value_segment_site
 * 
 * @author zd
 * @date 2021-12-13
 */
@ApiModel("违规-分值段设置")
public class LabValueSegmentSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 分值段开始 */
    @Excel(name = "分值段开始")
    @Length(message = "分值段开始长度不能超过255")
    @ApiModelProperty(value = "分值段开始")
    private String valueSegmentStat;
    /** 分值段结束 */
    @Excel(name = "分值段结束")
    @Length(message = "分值段结束长度不能超过255")
    @ApiModelProperty(value = "分值段结束")
    private String valueSegmentValue;

    @Excel(name = "处理方式")
    @ApiModelProperty(value = "处理方式")
    private String dealWay;

    @Excel(name = "处理天数")
    @ApiModelProperty(value = "处理天数")
    private int dealWayDay;

    /** 备注 */
    @Excel(name = "备注")
    @Length(message = "备注长度不能超过255")
    @ApiModelProperty(value = "备注")
    private String remake;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setValueSegmentStat(String valueSegmentStat) 
    {
        this.valueSegmentStat = valueSegmentStat;
    }

    public String getValueSegmentStat() 
    {
        return valueSegmentStat;
    }
    public void setValueSegmentValue(String valueSegmentValue) 
    {
        this.valueSegmentValue = valueSegmentValue;
    }

    public String getValueSegmentValue() 
    {
        return valueSegmentValue;
    }
    public void setRemake(String remake) 
    {
        this.remake = remake;
    }

    public String getRemake() 
    {
        return remake;
    }

    public String getDealWay() {
        return dealWay;
    }

    public void setDealWay(String dealWay) {
        this.dealWay = dealWay;
    }

    public int getDealWayDay() {
        return dealWayDay;
    }

    public void setDealWayDay(int dealWayDay) {
        this.dealWayDay = dealWayDay;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("valueSegmentStat", getValueSegmentStat())
            .append("valueSegmentValue", getValueSegmentValue())
            .append("remake", getRemake())
            .toString();
    }
}
